#!/usr/bin/env ruby
# vim: ts=2 sw=2

# make this demo run without installing the library...
$: << "../src"

require 'evas'

dpy = Display.new
w, h = dpy.width/2, dpy.height/2

evas = Evas.new(
	:display => dpy,
	:width => w, :height => h,
	:title => 'Evas Demonstration',
	:fontpath => '/usr/share/fonts/truetype')

im = evas.new_image(
	:x => 0, :y => 0,
	:width => w, :height => w,
	:layer => -1,
	:path => 'image.png'
)
im.set_fill(0, 0, 64, 64)
im.show()

loop {
	evas.handle_x_events
	evas.render
}

